API ReferenceAllowlist
Remove an IP from the allowlist
Stop a server using the gateway without credentials.
DEL
https://api.riftip.com/v1/allowlist/{ip}#Path parameters
| Parameter | Type | Description |
|---|---|---|
ip | string, required | The allowlisted IP to remove. |
#Request
curl -X DELETE https://api.riftip.com/v1/allowlist/198.51.100.14 \
-H "Authorization: Bearer $RIFTIP_API_KEY"await fetch("https://api.riftip.com/v1/allowlist/198.51.100.14", {
method: "DELETE",
headers: { Authorization: `Bearer ${process.env.RIFTIP_API_KEY}` },
});requests.delete(
"https://api.riftip.com/v1/allowlist/198.51.100.14",
headers={"Authorization": f"Bearer {API_KEY}"},
)#Response
JSON
{ "ip": "198.51.100.14", "deleted": true }Requests from the removed IP without credentials start failing with 407 within about 30 seconds.